# Ideas

### General
* Graphics
* We could use same config files for BIOS and EFI (except for `default`)
* Problem with 19.10 live (can't mount NFS root as "Network is unreachable"

### Arch repo
* The goal is to provide automatically latest versions of Arch Live through PXE
* In order to avoid downloading from Internet, we should have it on PXE server
  * Like we did before with the ISO
*  So we need to move the Arch web server to PXE server
  * [x] Our Arch update script must be modified to mount PXE server via NFS and perform the updates
    *  Wait, wait... Why not just mounting system-side?
    * Direct benefit: no 502 when updating from clients
  * [ ] We add an `iso` directory in the repo with the files we need
* How do we update it?
  * We can either extract the ISO (a few `ipxe` files missing) or download the files directly
  * It would be nice to be automated
* How to boot?
  * Either we do it the old way
    * But with HTTP(S) rather than NFS
  * Or we build our custom `ipxe.pxe` image
    * See https://aur.archlinux.org/packages/ipxe-netboot
